#-------------------------------------------------------------------------------
# Copyright 2008-2011 Istituto Nazionale di Fisica Nucleare (INFN)
#
# Licensed under the EUPL, Version 1.1 only (the "Licence").
# You may not use this work except in compliance with the Licence.
# You may obtain a copy of the Licence at:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Unless required by applicable law or agreed to in
# writing, software distributed under the Licence is
# distributed on an "AS IS" basis,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied.
# See the Licence for the specific language governing
# permissions and limitations under the Licence.
#-------------------------------------------------------------------------------

%(!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))"))
%define os sl

Name: wnodes_manager
Version: 2.0.0
Release: 3.sl
License: EUPL
Group: INFN CNAF
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}-%{version}
BuildArch: noarch
Distribution: any
Vendor: INFN CNAF
Packager: gianni dalla torre dallatorre@cnaf.infn.it
Summary: INFN CNAF WNODES MANAGER

BuildRequires: automake
BuildRequires: python
BuildRequires: wnodes_utils 
Requires: python
Requires: wnodes_utils

%description 
It contains manager of WNODES

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/sh auto.sh
./configure  --prefix=/usr --bindir=/usr/bin --datadir=/usr/share --sysconfdir=/etc 
make

%install
rm -rf $RPM_BUILD_ROOT/
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/%{_bindir}/wnodes_manager.py $RPM_BUILD_ROOT/%{_bindir}/wnodes_manager

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%dir %{_sysconfdir}/wnodes/manager
%config(noreplace) %{_sysconfdir}/wnodes/manager/wnodes.ini

%{_bindir}/wnodes_manager

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/CREDITS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-en.pdf
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-it.pdf
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Mon Apr 2 2012 Elisabetta Ronchieri
- Improved output format
- Improved help details

* Sat May 15 2011 Elisabetta Ronchieri
- Changed settings according to fedora guidelines

* Mon Mar 14 2011 Gianni Dalla Torre
- Added etc/wnodes.ini
 
* Wed Jan 28 2011 Gianni Dalla Torre 
- Created spec.ini
